import Bladex
# from math import pow
import Reference
import EnemyTypes
import Sparks
import Actions
import pocimac
import Breakings
import ItemTypes
import darfuncs

import EnmGenRnd
import AuxFuncs
import OnOff

import LevelFuncs

import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import Stars

### Set these values to the expected player's level (0-23) at the beginning of the map
expected_player_lvl_min= 10
expected_player_lvl_max= 23

lvl_control=LevelFuncs.EnemyLevelControl (expected_player_lvl_min, expected_player_lvl_max)
### e.g. to give an enemy a level between 0 and 4, do
### pers.Level= lvl_control.GiveLevel(0, 4)




################## great ork in water cave

o=Bladex.CreateEntity("llavepn","Llavepla",0,0,0,"Physic")
o.Scale=1.0
o.Orientation=0.567150,0.024639,-0.822649,0.031350
darfuncs.SetHint(o,"Llave de Nmiur")

knt3=Bladex.CreateEntity("knt3_Kn","Dark_Knight",-12470.4670915,4975.3431749,-37191.304373, "Person")
knt3.Scale=1.0                                  
knt3.Angle=3.0                                  
knt3.Level=20
knt3.Deaf=1

EnemyTypes.EnemyDefaultFuncs(knt3)
#knt3.Life=15
knt3.Life=20000
knt3.SetOnFloor()

Actions.TakeObject(knt3.Name,"llavepn")

o=Bladex.CreateEntity ("Sword001", "Espada", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("knt3_Kn", "Sword001")

o=Bladex.CreateEntity ("Escudo001", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo001")
Actions.TakeObject("knt3_Kn", "Escudo001")

o=Bladex.CreateEntity ("Pocima_knt3", "Pocima200", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima_knt3")
Actions.TakeObject("knt3_Kn", "Pocima_knt3")
#################

enemigo159=Bladex.CreateEntity("feind159","Skeleton",-35484.3000747,4798.53593081,-46107.1578792, "Person")
enemigo159.Scale=1.0
enemigo159.Angle=0.0
enemigo159.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo159)

o=Bladex.CreateEntity ("waffe159", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind159", "waffe159")

o=Bladex.CreateEntity ("schild159", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild159")

Actions.TakeObject("feind159", "schild159")
##########
enemigo161=Bladex.CreateEntity("feind161","Skeleton",-42952.1576613,4976.98921151,-38447.8463355, "Person")
enemigo161.Scale=1.0
enemigo161.Angle=2.25
enemigo161.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo161)

o=Bladex.CreateEntity ("waffe161", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind161", "waffe161")

o=Bladex.CreateEntity ("schild161", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild161")

Actions.TakeObject("feind161", "schild161")
#########
enemigo163=Bladex.CreateEntity("feind163","Skeleton",-34093.5839149,4975.3431749,-27943.5264128, "Person")
enemigo163.Scale=1.0
enemigo163.Angle=5.25
enemigo163.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo163)

o=Bladex.CreateEntity ("waffe163", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind163", "waffe163")

o=Bladex.CreateEntity ("schild163", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild163")

Actions.TakeObject("feind163", "schild163")
###########
enemigo165=Bladex.CreateEntity("feind165","Skeleton",-19286.3594244,4975.3431749,-37160.8790419, "Person")
enemigo165.Scale=1.0
enemigo165.Angle=0.0
enemigo165.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo165)

o=Bladex.CreateEntity ("waffe165", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind165", "waffe165")

o=Bladex.CreateEntity ("schild165", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild165")

Actions.TakeObject("feind165", "schild165")
###########
enemigo167=Bladex.CreateEntity("feind167","Skeleton",-24852.891117,4975.34317487,-45174.6926907, "Person")
enemigo167.Scale=1.0
enemigo167.Angle=3.0
enemigo167.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo167)

o=Bladex.CreateEntity ("waffe167", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind167", "waffe167")

o=Bladex.CreateEntity ("schild167", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild167")

Actions.TakeObject("feind167", "schild167")
###########
enemigo169=Bladex.CreateEntity("feind169","Skeleton",-3629.69444641,4975.3431749,-31039.1502086, "Person")
enemigo169.Scale=1.0
enemigo169.Angle=3.0
enemigo169.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo169)

o=Bladex.CreateEntity ("waffe169", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind169", "waffe169")

o=Bladex.CreateEntity ("schild169", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild169")

Actions.TakeObject("feind169", "schild169")

########
enemigo=Bladex.CreateEntity("feind173","Skeleton",-80995.1809398,1975.3431749,-32714.5031, "Person")
enemigo.Scale=1.0
enemigo.Angle=0.75
enemigo.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo)

arma=Bladex.CreateEntity ("waffe173", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(arma)

Actions.TakeObject(enemigo.Name, arma.Name) 

escudo=Bladex.CreateEntity ("schild173", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(escudo)
#Sparks.MakeShield("schild173")

Actions.TakeObject(enemigo.Name, escudo.Name)

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen173","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher173","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)  
inv.AddBow(arco.Name)       
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10  
 
enemigo.Deaf=1
#########
######################################################################################################################

#######################################################################################################################

knt4=Bladex.CreateEntity("knt4_Kn","Dark_Knight",-112234.924988,-6024.65682512,-25105.004814, "Person")
knt4.Scale=1.0                                 
knt4.Angle=3.75
knt4.Level=22

EnemyTypes.EnemyDefaultFuncs(knt4)
knt4.Life=10000
knt4.SetOnFloor()
knt4.Deaf=1

o=Bladex.CreateEntity ("Sword004", "Espada", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("knt4_Kn", "Sword004")

o=Bladex.CreateEntity ("Escudo004", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo004")
Actions.TakeObject("knt4_Kn", "Escudo004")

o=Bladex.CreateEntity ("Pocima_knt4", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima_knt4")
Actions.TakeObject("knt4_Kn", "Pocima_knt4")

darfuncs.HideBadGuy("knt4_Kn")
######################
knt5=Bladex.CreateEntity("knt5_Kn","Dark_Knight",-123740.710755,-6024.65682498,-24139.874027, "Person")
knt5.Scale=1.0                                 
knt5.Angle=3.75
knt5.Level=22

EnemyTypes.EnemyDefaultFuncs(knt5)
knt5.Life=10000
knt5.SetOnFloor()
knt5.Deaf=1

o=Bladex.CreateEntity ("Sword005", "Espada", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("knt5_Kn", "Sword005")

o=Bladex.CreateEntity ("Escudo005", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo005")
Actions.TakeObject("knt5_Kn", "Escudo005")

o=Bladex.CreateEntity ("Pocima_knt5", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima_knt5")
Actions.TakeObject("knt5_Kn", "Pocima_knt5")

darfuncs.HideBadGuy("knt5_Kn")
################
knt6=Bladex.CreateEntity("knt6_Kn","Dark_Knight",-114826.940435,-6024.65682515,-55739.0801543, "Person")
knt6.Scale=1.0                                 
knt6.Angle=3.0
knt6.Level=22

EnemyTypes.EnemyDefaultFuncs(knt6)
knt6.Life=10000
knt6.SetOnFloor()
knt6.Deaf=1

o=Bladex.CreateEntity ("Sword006", "Espada", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("knt6_Kn", "Sword006")

o=Bladex.CreateEntity ("Escudo006", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo006")
Actions.TakeObject("knt6_Kn", "Escudo006")

o=Bladex.CreateEntity ("Pocima_knt6", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima_knt6")
Actions.TakeObject("knt6_Kn", "Pocima_knt6")

darfuncs.HideBadGuy("knt6_Kn")
######################
knt7=Bladex.CreateEntity("knt7_Kn","Dark_Knight",-115574.427974,-6024.65682501,-65556.283609, "Person")
knt7.Scale=1.0                                  
knt7.Angle=2.25
knt7.Level=22

bow=Bladex.CreateEntity("towerbow7","Arco",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bow)
Actions.TakeObject(knt7.Name,bow.Name)

quiver=Bladex.CreateEntity("towerquiver7","CarcajEnvenenado",0,0,0,"Physic")
ItemTypes.ItemDefaultFuncs (quiver)
quiver.Data.SetNumberOfArrows(10, knt7.Name)
Actions.TakeObject(knt7.Name,quiver.Name)

EnemyTypes.EnemyDefaultFuncs(knt7)
knt7.Life=10000
knt7.SetOnFloor()
knt7.Deaf=1

o=Bladex.CreateEntity ("Sword007", "Espada", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("knt7_Kn", "Sword007")

o=Bladex.CreateEntity ("Escudo007", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo007")
Actions.TakeObject("knt7_Kn", "Escudo007")

o=Bladex.CreateEntity ("Pocima_knt7", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima_knt7")
Actions.TakeObject("knt7_Kn", "Pocima_knt7")

darfuncs.HideBadGuy("knt7_Kn")
#################
knt8=Bladex.CreateEntity("knt8_Kn","Dark_Knight",-108391.509407,-6024.6568251,-93773.9754848, "Person")
knt8.Scale=1.0                                  #
knt8.Angle=2.25
knt8.Level=22

bow=Bladex.CreateEntity("towerbow8","Arco",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bow)
Actions.TakeObject(knt8.Name,bow.Name)

quiver=Bladex.CreateEntity("towerquiver8","CarcajEnvenenado",0,0,0,"Physic")
ItemTypes.ItemDefaultFuncs (quiver)
quiver.Data.SetNumberOfArrows(10, knt8.Name)
Actions.TakeObject(knt8.Name,quiver.Name)

EnemyTypes.EnemyDefaultFuncs(knt8)
knt8.Life=10000
knt8.SetOnFloor()
knt8.Deaf=1

o=Bladex.CreateEntity ("Sword008", "Espada", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("knt8_Kn", "Sword008")

o=Bladex.CreateEntity ("Escudo008", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo008")
Actions.TakeObject("knt8_Kn", "Escudo008")

o=Bladex.CreateEntity ("Pocima_knt8", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima_knt8")
Actions.TakeObject("knt8_Kn", "Pocima_knt8")

darfuncs.HideBadGuy("knt8_Kn")
##############