import Bladex
# from math import pow
import Reference
import EnemyTypes
import Sparks
import Actions
import pocimac
import Breakings
import ItemTypes
import darfuncs
import GenFX

import EnmGenRnd
import AuxFuncs
import OnOff

import LevelFuncs

import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import Stars

### Set these values to the expected player's level (0-23) at the beginning of the map
expected_player_lvl_min= 10
expected_player_lvl_max= 23

lvl_control=LevelFuncs.EnemyLevelControl (expected_player_lvl_min, expected_player_lvl_max)
### e.g. to give an enemy a level between 0 and 4, do
### pers.Level= lvl_control.GiveLevel(0, 4)
#################################################

""" 
PROTOTYP 

arma=Bladex.CreateEntity("waffe", "Gladius", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild", "Escudo1", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			        

enemigo=Bladex.CreateEntity("feind", "Knight_Traitor", 0,0,0, "Person")
enemigo.Angle=0
enemigo.Level=20

potion=Bladex.CreateEntity("trank","Pocima100",0,0,0)   
pocimac.CreatePotion("trank")

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)   
Actions.TakeObject(enemigo.Name, "trank")    

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()

darfuncs.HideBadGuy(enemigo.Name)
enemigo.Deaf=0
enemigo.Blind=0

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher","Carcaj", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)   
inv.AddBow(arco.Name)        
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10    

PROTOTYP ENDE 
"""

##########################################################################################

###########
# 4006 #  GOLEM 2 STATUE ()

enemigo=Bladex.CreateEntity("feind4006statue", "Golem_metal",-157024.487614,-1554.090217584,-16686.2041301, "Physic")
enemigo.Orientation=0.5, 0.5, 0.5, -0.5 
enemigo.Static=1
enemigo.Solid=1


# 4006 #  2 lebend

#########################
enemigo4006=Bladex.CreateEntity("feind4006","Golem_metal",-157024.487614,-1554.090217584,-16686.2041301, "Person")
enemigo4006.Scale=1.0
enemigo4006.Angle=3.0
enemigo4006.Level=1

enemigo4006.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo4006)

darfuncs.HideBadGuy(enemigo4006.Name)
###########################


o=Bladex.CreateEntity("waffe101","Spidersmall",-140135.026547,-138.43835041,-2791.87253044, "Person")
o.Scale=1.0
o.Angle=2.71846981092
o.Level=5
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("waffe102","Spidersmall",-149067.555841,-138.43835041,-11285.9393863, "Person")
o.Scale=1.0
o.Angle=2.71846981092
o.Level=5
EnemyTypes.EnemyDefaultFuncs(o)
####

enemigo1003=Bladex.CreateEntity("feind1003","Minotaur",-120343.447499,-0,37940.483413, "Person")
enemigo1003.Scale=1.0
enemigo1003.Angle=0.11
enemigo1003.Level=13
enemigo1003.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo1003)

arma=Bladex.CreateEntity ("waffe1003", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(arma)

Actions.TakeObject(enemigo1003.Name, arma.Name)
darfuncs.HideBadGuy(enemigo1003.Name)
enemigo1003.ImDeadFunc=Minotaur_dead
############################################
#####---------------------------------------------------------------------------------------


o=Bladex.CreateEntity("hall_key","Llavepla",0,0,0,"Physic")
o.Scale=1
darfuncs.SetHint(o,"hall key")

o=Bladex.CreateEntity("feind1001","Great_Ork",-100755.273819,-981.203606874,-3940.98793168, "Person")
o.Scale=1.0
o.Angle=2.11
o.Level=13
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1001", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind1001", "waffe1001")
Actions.TakeObject("feind1001", "hall_key")

o=Bladex.CreateEntity ("schild2", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild2")

Actions.TakeObject("feind1001", "schild2")

darfuncs.HideBadGuy("feind1001")
#########################


########

o=Bladex.CreateEntity("feind1004","Ork",-107610.813349,-981.203935138,33099.9132798, "Person")
o.Scale=1.0
o.Angle=0
o.Level=13
o.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1004", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1004", "waffe1004")

o=Bladex.CreateEntity ("schild1004", "Escudo1", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1004")

Actions.TakeObject("feind1004", "schild1004")

o=Bladex.CreateEntity ("trank1004", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("trank1004")

Actions.TakeObject("feind1004", "trank1004")
#####

enemigo1005=Bladex.CreateEntity("feind1005","Skeleton",-102755.273819,-981.203606874,-3840.98793168, "Person")
enemigo1005.Scale=1.0
enemigo1005.Angle=0.87391802731
enemigo1005.Level=10
EnemyTypes.EnemyDefaultFuncs(enemigo1005)

o=Bladex.CreateEntity ("waffe1005", "Espadaromana", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind1005", "waffe1005")

o=Bladex.CreateEntity ("schild1", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1")

Actions.TakeObject("feind1005", "schild1")
enemigo1005.ImDeadFunc=Scelet_dead
#####

o=Bladex.CreateEntity("feind1006","Spidersmall",-100755.273729,-138.43835041,-2440.98784861, "Person")
o.Scale=1.0
o.Angle=0.337491005969
o.Level=15
EnemyTypes.EnemyDefaultFuncs(o)
#####
o=Bladex.CreateEntity("feind1007","Skeleton",-107161.678728,-1024.65667198,19493.1271506, "Person")
o.Scale=1.0
o.Angle=0.31494144449
o.Level=10
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1007", "Hacha3", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind1007", "waffe1007")

o=Bladex.CreateEntity ("schild1007", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1007")

Actions.TakeObject("feind1007", "schild1007")
#####
o=Bladex.CreateEntity("feind1016","Ork",-102755.273819,-981.203606874,-5540.98793168, "Person")
o.Scale=1.0                                
o.Angle=0.70930595737
o.Level=10
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1016", "Garrote2", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1016", "waffe1016")

o=Bladex.CreateEntity ("schild1016", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1016")

Actions.TakeObject("feind1016", "schild1016")

o=Bladex.CreateEntity ("trank1016", "Pocima200", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("trank1016")

Actions.TakeObject("feind1016", "trank1016")

######Farol ork########

o=Bladex.CreateEntity("feind1009","Ork",-108990.813481,-865.411705036,36299.9135483, "Person")
o.Scale=1.0
o.Angle=1.01778588087
o.Level=15
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1009", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1009", "waffe1009")

o=Bladex.CreateEntity ("schild1009", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1009")

Actions.TakeObject("feind1009", "schild1009")
############################################
#######################################################################################
################################## 100 #######################################

####
o=Bladex.CreateEntity("Dark_Knight_285","Dark_Knight",454.145446347,-20949.2888104,-176576.915657, "Person")
o.Scale=1.0
o.Angle=1.6576907025
o.Level=15
o.Life=600.0
#o.ActionAreaMin=pow(6,7)
#o.ActionAreaMax=pow(6,8)
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Dagesse_286", "Dagesse", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Dark_Knight_285", "Dagesse_286")
o=Bladex.CreateEntity ("Escudo7_287", "Escudo7", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo7_287")
Actions.TakeObject("Dark_Knight_285", "Escudo7_287")
o=Bladex.CreateEntity ("Pocima100_289", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_289")
Actions.TakeObject("Dark_Knight_285", "Pocima100_289")

#darfuncs.HideBadGuy("Dark_Knight_285")
#####
o=Bladex.CreateEntity("Dark_Knight_290","Dark_Knight",-8078.03600909,-20949.2888249,-183155.689427, "Person")
o.Scale=1.0
o.Angle=0.692350364357
o.Level=15
o.Life=300.0
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Dagesse_291", "Dagesse", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Dark_Knight_290", "Dagesse_291")
o=Bladex.CreateEntity ("Escudo6_293", "Escudo6", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo6_293")
Actions.TakeObject("Dark_Knight_290", "Escudo6_293")
o=Bladex.CreateEntity ("Pocima100_292", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_292")
Actions.TakeObject("Dark_Knight_290", "Pocima100_292")

#darfuncs.HideBadGuy("Dark_Knight_290")
###
pers=Bladex.CreateEntity("22DKGT","Knight_Traitor",56393.6694136,-25791.9191626,-177590.429655,"Person")
pers.Angle=2.25
pers.Level=16
#pers.ActionAreaMin=pow(2,2)
#pers.ActionAreaMax=pow(2,3)
pers.SetOnFloor()
pers.Deaf=1

bow=Bladex.CreateEntity("towerbow22","Arco",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bow)
Actions.TakeObject(pers.Name,bow.Name)

quiver=Bladex.CreateEntity("towerquiver22","CarcajEnvenenado",0,0,0,"Physic")
ItemTypes.ItemDefaultFuncs (quiver)
quiver.Data.SetNumberOfArrows(10, pers.Name)
Actions.TakeObject(pers.Name,quiver.Name)
EnemyTypes.EnemyDefaultFuncs(pers)

sword=Bladex.CreateEntity("towerEspada22","Espadacurva",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sword)
Actions.TakeObject(pers.Name,sword.Name)

shield=Bladex.CreateEntity("towerEscudo22","Escudo7",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(shield)
Actions.TakeObject(pers.Name,shield.Name)

potion=Bladex.CreateEntity("Potion22","Pocima200",0,0,0,"Physic")
potion.Scale=1.
pocimac.CreatePotion(potion.Name)
Actions.TakeObject(pers.Name,potion.Name)

EnemyTypes.EnemyDefaultFuncs(pers)
#darfuncs.HideBadGuy("22DKGT")
#######

pers=Bladex.CreateEntity("20DKGT","Knight_Traitor",54529.5393469,-26056.2257265,-168154.907089,"Person")
pers.Angle=2.25
pers.Level=16
#pers.ActionAreaMin=pow(2,2)
#pers.ActionAreaMax=pow(2,3)
pers.SetOnFloor()
pers.Deaf=1

bow=Bladex.CreateEntity("towerbow20","Arco",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bow)
Actions.TakeObject(pers.Name,bow.Name)

quiver=Bladex.CreateEntity("towerquiver20","CarcajEnvenenado",0,0,0,"Physic")
ItemTypes.ItemDefaultFuncs (quiver)
quiver.Data.SetNumberOfArrows(10, pers.Name)
Actions.TakeObject(pers.Name,quiver.Name)
EnemyTypes.EnemyDefaultFuncs(pers)

sword=Bladex.CreateEntity("towerEspada20","Espadacurva",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sword)
Actions.TakeObject(pers.Name,sword.Name)

shield=Bladex.CreateEntity("towerEscudo20","Escudo7",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(shield)
Actions.TakeObject(pers.Name,shield.Name)

potion=Bladex.CreateEntity("Potion20","Pocima200",0,0,0,"Physic")
potion.Scale=1.
pocimac.CreatePotion(potion.Name)
Actions.TakeObject(pers.Name,potion.Name)

EnemyTypes.EnemyDefaultFuncs(pers)
#darfuncs.HideBadGuy("20DKGT")
#####
pers=Bladex.CreateEntity("21DKGT","Knight_Traitor",52372.4480348,-25751.9968326,-158103.526707,"Person")
pers.Angle=2.25
pers.Level=16
#pers.ActionAreaMin=pow(2,2)
#pers.ActionAreaMax=pow(2,3)
pers.SetOnFloor()
pers.Deaf=1

bow=Bladex.CreateEntity("towerbow21","Arco",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(bow)
Actions.TakeObject(pers.Name,bow.Name)

quiver=Bladex.CreateEntity("towerquiver21","CarcajEnvenenado",0,0,0,"Physic")
ItemTypes.ItemDefaultFuncs (quiver)
quiver.Data.SetNumberOfArrows(10, pers.Name)
Actions.TakeObject(pers.Name,quiver.Name)
EnemyTypes.EnemyDefaultFuncs(pers)

sword=Bladex.CreateEntity("towerEspada21","Espadacurva",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(sword)
Actions.TakeObject(pers.Name,sword.Name)

shield=Bladex.CreateEntity("towerEscudo21","Escudo7",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(shield)
Actions.TakeObject(pers.Name,shield.Name)

potion=Bladex.CreateEntity("Potion21","Pocima200",0,0,0,"Physic")
potion.Scale=1.
pocimac.CreatePotion(potion.Name)
Actions.TakeObject(pers.Name,potion.Name)

EnemyTypes.EnemyDefaultFuncs(pers)
#darfuncs.HideBadGuy("21DKGT")
##########################

enemigo14=Bladex.CreateEntity("Troll2","Troll_snow",42768.4049319,-21984.9115365,-120917.774666, "Person")
enemigo14.Scale=1.0
enemigo14.Angle=5.0
enemigo14.Level=15
enemigo14.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo14)

o=Bladex.CreateEntity ("waffe5", "Mazapiedra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("Troll2", "waffe5")

#darfuncs.HideBadGuy("Troll2")
enemigo14.ImDeadFunc=Troll2_dead
#############

potion=Bladex.CreateEntity("trank80","PocimaTodo",0,0,0)
potion.Static=0
potion.Solid=1
potion.Scale=1.220190
pocimac.CreatePotion("trank80")


enemigo80=Bladex.CreateEntity("balrog1", "Great_Demon", 49634.2769499,-23257.6698052,-101920.967005, "Person")
enemigo80.Angle=5.0
EnemyTypes.EnemyDefaultFuncs(enemigo80)
enemigo80.Level=15
enemigo80.Life=15000
enemigo80.Deaf=1

Actions.TakeObject(enemigo80.Name, "trank80")
darfuncs.HideBadGuy(enemigo80.Name)

enemigo80.ImDeadFunc=balrog1_dead
#########


###
####################
key=Bladex.CreateEntity("crownguardkey","Llavedor",0,0,0,"Physic") 

kgkey=Bladex.CreateEntity("Haos_key","Llavedor", 54000,10000,0,"Physic")
kgkey.Scale=1.5
kgkey.SelfIlum=0.5
darfuncs.SetHint(kgkey,"Haos key")

kgkeyspot=Bladex.CreateEntity("kgkey_spot", "Entity Spot", 54000,10000,0)
kgkeyspot.Color=0,0,255
kgkeyspot.Intensity=10
kgkeyspot.Precission=0
kgkeyspot.Visible=1
kgkeyspot.CastShadows=0
	
arma=Bladex.CreateEntity("waffe3004", "EspadaMagica1", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)
arma.Scale=1.3

escudo=Bladex.CreateEntity("schild3004", "Escudon", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)
		             
enemigo3004=Bladex.CreateEntity("feind3004", "ChaosKnight",-82609.6938658,-21169.1319738,-164677.297394, "Person")
enemigo3004.Angle=1.52
enemigo3004.Level=20
enemigo3004.SelfIlum=0.5

EnemyTypes.EnemyDefaultFuncs(enemigo3004)
enemigo3004.Life=25000
enemigo3004.SetOnFloor()

Actions.TakeObject(enemigo3004.Name, arma.Name)   
Actions.TakeObject(enemigo3004.Name, escudo.Name)
Actions.TakeObject(enemigo3004.Name, "crownguardkey")
    

darfuncs.HideBadGuy(enemigo3004.Name)
 
enemigo3004.Data.PrepareWeapons()
enemigo3004.Data.PrepareDisappearance()
enemigo3004.ImDeadFunc=crownguard_dead

####################

########
arma=Bladex.CreateEntity("waffe35", "EspadaMagica1", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)
arma.Scale=1.3
		           

escudo=Bladex.CreateEntity("schild35", "Escudon", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)

			             
enemigo35=Bladex.CreateEntity("feind35", "ChaosKnight",-83598.06499,-21577.3481198,-175096.658709, "Person")
enemigo35.Angle=1.0
enemigo35.Level=20
EnemyTypes.EnemyDefaultFuncs(enemigo35)
enemigo35.Life=25000

enemigo35.SelfIlum=0.5
enemigo35.SetOnFloor()

Actions.TakeObject(enemigo35.Name, arma.Name)   
Actions.TakeObject(enemigo35.Name, escudo.Name)

    

darfuncs.HideBadGuy(enemigo35.Name)
 
enemigo35.Data.PrepareWeapons()          
enemigo35.Data.PrepareDisappearance()    

######
enemigo10=Bladex.CreateEntity("feind10","Skeleton",-114832.346768,-13167.2024092,-146265.91305, "Person")
enemigo10.Scale=1.0
enemigo10.Angle=0.87391802731
enemigo10.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo10)

o=Bladex.CreateEntity ("waffe10", "Hacha6", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind10", "waffe10")

o=Bladex.CreateEntity ("schild10", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild10")

Actions.TakeObject("feind10", "schild10")
#darfuncs.HideBadGuy(enemigo10.Name)
enemigo10.ImDeadFunc=Scelet10_dead
############
enemigo11=Bladex.CreateEntity("feind11","Skeleton",-117832.346768,-13167.2024092,-146265.91305, "Person")
enemigo11.Scale=1.0
enemigo11.Angle=0.87391802731
enemigo11.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo11)

o=Bladex.CreateEntity ("waffe11", "Martillo", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind11", "waffe11")

o=Bladex.CreateEntity ("schild11", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild11")

Actions.TakeObject("feind11", "schild11")
#darfuncs.HideBadGuy(enemigo11.Name)
enemigo11.ImDeadFunc=Scelet11_dead
########
enemigo12=Bladex.CreateEntity("feind12","Skeleton",-117232.346768,-14367.2024092,-152665.91305, "Person")
enemigo12.Scale=1.0
enemigo12.Angle=0.87391802731
enemigo12.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo12)

o=Bladex.CreateEntity ("waffe12", "Espadacurva", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind12", "waffe12")

o=Bladex.CreateEntity ("schild12", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild12")

Actions.TakeObject("feind12", "schild12")
darfuncs.HideBadGuy(enemigo12.Name)
enemigo12.ImDeadFunc=Scelet12_dead
#######
enemigo13=Bladex.CreateEntity("feind13","Skeleton",-107232.346768,-15167.2024092,-154665.91305, "Person")
enemigo13.Scale=1.0
enemigo13.Angle=0.87391802731
enemigo13.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo13)

o=Bladex.CreateEntity ("waffe13", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind13", "waffe13")

o=Bladex.CreateEntity ("schild13", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild13")

Actions.TakeObject("feind13", "schild13")
darfuncs.HideBadGuy(enemigo13.Name)
enemigo13.ImDeadFunc=Scelet13_dead
########
enemigo14=Bladex.CreateEntity("feind14","Skeleton",-100632.346768,-15367.2024092,-154665.91305, "Person")
enemigo14.Scale=1.0
enemigo14.Angle=0.87391802731
enemigo14.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo14)

o=Bladex.CreateEntity ("waffe14", "Espadafilo", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind14", "waffe14")

o=Bladex.CreateEntity ("schild14", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild14")

Actions.TakeObject("feind14", "schild14")
darfuncs.HideBadGuy(enemigo14.Name)
enemigo14.ImDeadFunc=Scelet14_dead
#########
enemigo15=Bladex.CreateEntity("feind15","Skeleton",-97232.3467675,-15567.2024092,-154665.91305, "Person")
enemigo15.Scale=1.0
enemigo15.Angle=0.87391802731
enemigo15.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo15)

o=Bladex.CreateEntity ("waffe15", "Martillo2", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind15", "waffe15")

o=Bladex.CreateEntity ("schild15", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild15")

Actions.TakeObject("feind15", "schild15")
darfuncs.HideBadGuy(enemigo15.Name)
enemigo15.ImDeadFunc=Scelet15_dead
#######
enemigo16=Bladex.CreateEntity("feind16","Skeleton",-99232.3467675,-17567.2024092,-165065.91305, "Person")
enemigo16.Scale=1.0
enemigo16.Angle=0.87391802731
enemigo16.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo16)

o=Bladex.CreateEntity ("waffe16", "Cimitarra", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind16", "waffe16")

o=Bladex.CreateEntity ("schild16", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild16")

Actions.TakeObject("feind16", "schild16")
darfuncs.HideBadGuy(enemigo16.Name)
enemigo16.ImDeadFunc=Scelet16_dead
########
enemigo17=Bladex.CreateEntity("feind17","Skeleton",-93832.3467675,-17767.2024092,-165065.91305, "Person")
enemigo17.Scale=1.0
enemigo17.Angle=0.87391802731
enemigo17.Level=18
EnemyTypes.EnemyDefaultFuncs(enemigo17)

o=Bladex.CreateEntity ("waffe17", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind17", "waffe17")

o=Bladex.CreateEntity ("schild17", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild17")

Actions.TakeObject("feind17", "schild17")
darfuncs.HideBadGuy(enemigo17.Name)
enemigo17.ImDeadFunc=Scelet17_dead
########
enemigo18=Bladex.CreateEntity("feind18","Skeleton",-92832.3467675,-17167.2024092,-161865.91305, "Person")
enemigo18.Scale=1.0
enemigo18.Angle=0.87391802731
enemigo18.Level=19
EnemyTypes.EnemyDefaultFuncs(enemigo18)

o=Bladex.CreateEntity ("waffe18", "Espadafilo", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind18", "waffe18")

o=Bladex.CreateEntity ("schild18", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild18")

Actions.TakeObject("feind18", "schild18")
darfuncs.HideBadGuy(enemigo18.Name)
#enemigo18.ImDeadFunc=Scelet18_dead
########
enemigo19=Bladex.CreateEntity("feind19","Skeleton",-92432.3467675,-15767.2024092,-154865.91305, "Person")
enemigo19.Scale=1.0
enemigo19.Angle=0.87391802731
enemigo19.Level=19
EnemyTypes.EnemyDefaultFuncs(enemigo19)

o=Bladex.CreateEntity ("waffe19", "Espadacurva", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("feind19", "waffe19")

o=Bladex.CreateEntity ("schild19", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
#Sparks.MakeShield("schild19")

Actions.TakeObject("feind19", "schild19")
darfuncs.HideBadGuy(enemigo19.Name)
#enemigo19.ImDeadFunc=Scelet19_dead



###



o=Bladex.CreateEntity("feind1011","Spidersmall",-112645.269464,-5138.43835041,-76997.6358085, "Person")
o.Scale=1.0
o.Angle=3.6029746077
o.Level=10
EnemyTypes.EnemyDefaultFuncs(o)


o=Bladex.CreateEntity("feind1012","Spidersmall",-112744.908226,-5138.43835041,-73932.412381, "Person")
o.Scale=1.0
o.Angle=3.6029746077
o.Level=15
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity("feind1008","Ork",-111870.937078,-5984.91153655,-72384.1927918, "Person")
o.Scale=1.0
o.Angle=0.422999749211
o.Level=10
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1008", "Hacha", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1008", "waffe1008")

o=Bladex.CreateEntity ("schild1008", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1008")

Actions.TakeObject("feind1008", "schild1008")
#######
enemigo=Bladex.CreateEntity("Troll1","Troll_snow",-121473.082929,-6076.91422924,-103803.091317, "Person")
enemigo.Scale=1.0
enemigo.Angle=5.01778588087
enemigo.Level=15
enemigo.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo)

o=Bladex.CreateEntity ("waff10", "Hachacarnicero", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Troll1", "waff10")

########
o=Bladex.CreateEntity("feind1013","Great_Ork",-116713.567851,-6087.66520785,-102576.161172, "Person")
o.Scale=1.0
o.Angle=0.70930595737
o.Level=10
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1013", "Garrote2", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1013", "waffe1013")

o=Bladex.CreateEntity ("schild1013", "Escudo4", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1013")

Actions.TakeObject("feind1013", "schild1013")

o=Bladex.CreateEntity ("trank1013", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("trank1013")

Actions.TakeObject("feind1013", "trank1013")
########

o=Bladex.CreateEntity("Ragnar_key","Llavepla",0,0,0,"Physic")
o.Scale=1
darfuncs.SetHint(o,"Ragnar key")

ragnar=Bladex.CreateEntity("Ragnar","Ragnar", -115825.884247,-6004.00590464,-111649.0426,"Person")
ragnar.Angle=0.75
#ragnar.ActionAreaMin=0
#ragnar.ActionAreaMax=0
EnemyTypes.EnemyDefaultFuncs(ragnar)
ragnar.Level=20
ragnar.Life=15000
ragnar.Deaf=1
Actions.TakeObject(ragnar.Name, "Ragnar_key")

espadaragnar=Bladex.CreateEntity("EspadaRagnar","DoubleSword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs(espadaragnar)
Actions.TakeObject(ragnar.Name,"EspadaRagnar")

escudoragnar=Bladex.CreateEntity("EscudoRagnar","Escudo7",0,0,0)
ItemTypes.ItemDefaultFuncs(escudoragnar)
Actions.TakeObject(ragnar.Name,"EscudoRagnar")

potion=Bladex.CreateEntity("RagnarsPotion","Pocima200",0,0,0)
potion.Static=0
potion.Solid=1
potion.Scale=1.220190
pocimac.CreatePotion("RagnarsPotion")
Actions.TakeObject(ragnar.Name,"RagnarsPotion")



inv=ragnar.GetInventory()
inv.LinkRightHand("EspadaRagnar")
inv.LinkLeftHand("EscudoRagnar")
darfuncs.HideBadGuy("Ragnar")
#############

o=Bladex.CreateEntity("double","DoubleSword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)
o=Bladex.CreateEntity("small","Escudo7",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)

full=Bladex.CreateEntity("thou","Pocima200",0,0,0,"Physic")
full.Scale=1.220190
pocimac.CreatePotion("thou")

pers=Bladex.CreateEntity("dkngt","Dark_Knight", -118426.194322,-6009.67783995,-112753.324962,"Person")
pers.Angle=0.75                 
pers.Level=17
Actions.TakeObject(pers.Name,"double")
Actions.TakeObject(pers.Name,"small")
Actions.TakeObject(pers.Name,"thou")

pers.Deaf = 1

EnemyTypes.EnemyDefaultFuncs(pers)

pers.SetOnFloor()

darfuncs.HideBadGuy("dkngt")
#########

o=Bladex.CreateEntity("double2","DoubleSword",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)
o=Bladex.CreateEntity("small2","Escudo7",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)

fu=Bladex.CreateEntity("thou2","Pocima200",0,0,0,"Physic")
fu.Scale=1.220190
pocimac.CreatePotion("thou2")

per=Bladex.CreateEntity("dkngt2","Dark_Knight", -112942.242644,-6014.81526103,-109722.233049,"Person")
per.Angle=0.75                 
per.Level=17
Actions.TakeObject(per.Name,"double2")
Actions.TakeObject(per.Name,"small2")
Actions.TakeObject(per.Name,"thou2")

per.Deaf = 1

EnemyTypes.EnemyDefaultFuncs(per)

per.SetOnFloor()

darfuncs.HideBadGuy("dkngt2")
############
BG5=Bladex.CreateEntity("BlackGuard5","Dark_Knight",-122273.082929,-6076.91422924,-101803.091317, "Person")
BG5.Scale=1.0
BG5.Angle=0.5
BG5.Level=18
EnemyTypes.EnemyDefaultFuncs(BG5)
o=Bladex.CreateEntity ("bgsword5", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("BlackGuard5", "bgsword5")
o=Bladex.CreateEntity ("bgshield5", "Escudo8", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("bgshield5")
Actions.TakeObject("BlackGuard5", "bgshield5")

BG5.SetOnFloor()

darfuncs.HideBadGuy("BlackGuard5")

###

enemigo1015=Bladex.CreateEntity("feind1015","Golem_stone",-115715.203459,-6600.50849157,-62999.2781658, "Person")
enemigo1015.Scale=1.0                                   
enemigo1015.Angle=1.01778588087
enemigo1015.Level=10

enemigo1015.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo1015)

darfuncs.HideBadGuy(enemigo1015.Name)

# 4007 #  GOLEM 1 STATUE ()

enemigo=Bladex.CreateEntity("feind4007statue", "Golem_stone",-116236.224501,-6589.83522467,-58344.3051674, "Physic")
enemigo.Orientation=0.499999970198,0.499999970198,0.500000059605,-0.5 
enemigo.Static=1
enemigo.Solid=1


# 4007 #  1 lebend

#########################
enemigo4007=Bladex.CreateEntity("feind4007","Golem_stone",-116236.224501,-6589.83522467,-58344.3051674, "Person")
enemigo4007.Scale=1.0
enemigo4007.Angle=3.0
enemigo4007.Level=10

enemigo4007.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo4007)

darfuncs.HideBadGuy(enemigo4007.Name)
#########################
# 4008 #  GOLEM  STATUE 

enemigo=Bladex.CreateEntity("feind4008statue", "Golem_stone",-122554.017148,-6616.75465042,-63124.3403889, "Physic")
enemigo.Orientation=0.0, 0.0, -0.707, 0.707  
enemigo.Static=1
enemigo.Solid=1


# 4008 #   lebend

#########################
o=Bladex.CreateEntity("Golem_key","Llavepla",0,0,0,"Physic")
o.Scale=1
darfuncs.SetHint(o,"Golem key")

enemigo4008=Bladex.CreateEntity("feind4008","Golem_stone",-122554.017148,-6616.75465042,-63124.3403889, "Person")
enemigo4008.Scale=1.0
enemigo4008.Angle=1.5
enemigo4008.Level=15

enemigo4008.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo4008)

Actions.TakeObject(enemigo4008.Name, "Golem_key")

darfuncs.HideBadGuy(enemigo4008.Name)



#####

enemigo=Bladex.CreateEntity("Little_Demon_7","Little_Demon",-121616.288746,-5984.91153611,-25663.9066793, "Person")
enemigo.Angle=4.79
enemigo.Level=15
enemigo.Alpha=0.1

EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
darfuncs.HideBadGuy("Little_Demon_7")
##########
o=Bladex.CreateEntity("feind1010","Ork",-121616.288746,-5984.91153611,-20663.9066793, "Person")
o.Scale=1.0
o.Angle=5.01778588087
o.Level=14
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1010", "Maza2", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1010", "waffe1010")

o=Bladex.CreateEntity ("schild1010", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1010")

Actions.TakeObject("feind1010", "schild1010")
darfuncs.HideBadGuy("feind1010")
####
o=Bladex.CreateEntity("feind1030","Ork",-112301.054069,-6007.41949588,-20738.4288774, "Person")
o.Scale=1.0
o.Angle=1.0
o.Level=12
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("waffe1030", "Orksword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1030", "waffe1030")

o=Bladex.CreateEntity ("schild1030", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("schild1030")

o=Bladex.CreateEntity ("trank1030", "Pocima200", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("trank1030")

Actions.TakeObject("feind1030", "trank1030")
Actions.TakeObject("feind1030", "schild1030")
darfuncs.HideBadGuy("feind1030")
######
enemigo1014=Bladex.CreateEntity("feind1014","Minotaur",-121616.288746,-5984.91153611,-25663.9066793, "Person")
enemigo1014.Scale=1.0
enemigo1014.Angle=5.01778588087
enemigo1014.Level=15
enemigo1014.SetOnFloor()
EnemyTypes.EnemyDefaultFuncs(enemigo1014)

o=Bladex.CreateEntity ("waffe1014", "Garropin", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("feind1014", "waffe1014")

darfuncs.HideBadGuy("feind1014")
enemigo1014.ImDeadFunc=Minotaur2_dead
####

#########----------------##########

o=Bladex.CreateEntity("feind1017","Golem_stone",-57912.6240696,4405.3132807,2155.35075945, "Person")
o.Scale=1.0                                   
o.Angle=4.5
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
############
o=Bladex.CreateEntity("f1017","Golem_stone",-58256.7200493,4119.99138212,-3960.56917102, "Person")
o.Scale=1.0                                   
o.Angle=4.5
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
########Luchnik 1 ##################
enemigo=Bladex.CreateEntity("feind1018","Skeleton",-83755.273819,-981.203606874,-7840.98793168, "Person")
enemigo.Scale=1.0
enemigo.Angle=8.01778588087
enemigo.Level=22
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

arma=Bladex.CreateEntity ("waffe1018", "EgyptSword", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(arma)

Actions.TakeObject(enemigo.Name, arma.Name) 

escudo=Bladex.CreateEntity ("schild1018", "Escudo2", 0,0,0)
ItemTypes.ItemDefaultFuncs(escudo)
#Sparks.MakeShield("schild1018")

Actions.TakeObject(enemigo.Name, escudo.Name)

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen1018","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher1018","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)  
inv.AddBow(arco.Name)       
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10  
 

########


#######
arma=Bladex.CreateEntity("waffe1020", "EgyptSword", 0,0,0, "Weapon")  
ItemTypes.ItemDefaultFuncs(arma)			       

escudo=Bladex.CreateEntity("schild1020", "Escudo7", 0,0,0, "Weapon") 
ItemTypes.ItemDefaultFuncs(escudo)			         

enemigo=Bladex.CreateEntity("feind1020", "Skeleton", -85755.273819,-1381.203606874,-2840.98793168, "Person")
enemigo.Angle=1.67 #5.45
enemigo.Level=22
EnemyTypes.EnemyDefaultFuncs(enemigo)
enemigo.SetOnFloor()
enemigo.Deaf=1

Actions.TakeObject(enemigo.Name, arma.Name)    
Actions.TakeObject(enemigo.Name, escudo.Name)  

inv=enemigo.GetInventory()
arco=Bladex.CreateEntity("bogen1020","Arco", 0,0,0,"Weapon") 
carcaj=Bladex.CreateEntity("koecher1020","CarcajEnvenenado", 0,0,0)    
ItemTypes.ItemDefaultFuncs(arco)     
ItemTypes.ItemDefaultFuncs(carcaj)  
inv.AddBow(arco.Name)       
inv.AddQuiver(carcaj.Name)   
carcaj.Data.ArrowsLeft=10   


#################


#######
o=Bladex.CreateEntity("Ork_302","Ork",42768.4049319,-21984.9115365,-120917.774666, "Person")
o.Scale=1.0
o.Angle=0.875978807322
o.Level=20
           
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Garrote_303", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_302", "Garrote_303")
o=Bladex.CreateEntity ("Escudo1_304", "Escudo1", 0,0,0)
ItemTypes.ItemDefaultFuncs(o)
Sparks.MakeShield("Escudo1_304")
Actions.TakeObject("Ork_302", "Escudo1_304")
o=Bladex.CreateEntity ("Pocima100_305", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima100_305")
Actions.TakeObject("Ork_302", "Pocima100_305")

darfuncs.HideBadGuy("Ork_302")
#########
o=Bladex.CreateEntity("Ork_306","Ork",66572.4917225,-9369.82345646,-163628.738359, "Person")
o.Scale=1.0
o.Angle=5.54235326417
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Garrote_307", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_306", "Garrote_307")
o=Bladex.CreateEntity ("Pocima50_308", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima50_308")
Actions.TakeObject("Ork_306", "Pocima50_308")
##########

o=Bladex.CreateEntity("Ork_113","Ork",72978.3564795,-10200.2592854,-160775.299157, "Person")
o.Scale=1.0
o.Angle=4.5
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Garrote_113", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_113", "Garrote_113")
o=Bladex.CreateEntity ("Pocima50_113", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima50_113")
Actions.TakeObject("Ork_113", "Pocima50_113")

#####
o=Bladex.CreateEntity("Ork_116","Ork",72035.9929076,-8907.01352853,-152155.313568, "Person")
o.Scale=1.0
o.Angle=3.75
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Garrote_116", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_116", "Garrote_116")
o=Bladex.CreateEntity ("Pocima50_116", "Pocima50", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima50_116")
Actions.TakeObject("Ork_116", "Pocima50_116")
####
o=Bladex.CreateEntity("Ork_119","Ork",77547.1259274,-9845.29257451,-150939.514511, "Person")
o.Scale=1.0
o.Angle=3.0
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Garrote_119", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_119", "Garrote_119")
o=Bladex.CreateEntity ("Pocima50_119", "Pocima50", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima50_119")
Actions.TakeObject("Ork_119", "Pocima50_119")
#####
o=Bladex.CreateEntity("Ork_122","Ork",83127.6643343,-11954.4519367,-158343.261259, "Person")
o.Scale=1.0
o.Angle=2.25
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)
o=Bladex.CreateEntity ("Garrote_122", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Ork_122", "Garrote_122")
o=Bladex.CreateEntity ("Pocima50_122", "Pocima50", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima50_122")
Actions.TakeObject("Ork_122", "Pocima50_122")
####

o=Bladex.CreateEntity("Ork_125","Ork",75631.0959716,-8712.3428219,-145352.090751, "Person")
o.Scale=1.0
o.Angle=1.54235326417
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("Garrote_125", "Garrote", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)

Actions.TakeObject("Ork_125", "Garrote_125")
o=Bladex.CreateEntity ("Pocima50_125", "Pocima100", 0,0,0)
o.Static=0
o.Solid=1
pocimac.CreatePotion("Pocima50_125")
Actions.TakeObject("Ork_125", "Pocima50_125")


########
o=Bladex.CreateEntity("Great_Ork_309","Great_Ork",95819.8794621,-9170.60272464,-118130.272811, "Person")
o.Scale=1.0
o.Angle=3.54044453502
o.Level=20
EnemyTypes.EnemyDefaultFuncs(o)

o=Bladex.CreateEntity ("Garrote2_310", "Garrote2", 0,0,0, "Weapon")
ItemTypes.ItemDefaultFuncs(o)
Actions.TakeObject("Great_Ork_309", "Garrote2_310")

o=Bladex.CreateEntity("Escudo6_6","Escudo4",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)
Actions.TakeObject("Great_Ork_309", "Escudo6_6")

######################

##########################
o=Bladex.CreateEntity("double5","Espada",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)
o=Bladex.CreateEntity("small5","Escudo6",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)

fu=Bladex.CreateEntity("thou5","Pocima200",0,0,0,"Physic")
fu.Scale=1.220190
pocimac.CreatePotion("thou5")

per=Bladex.CreateEntity("dkngt5","Knight_Traitor", 32285.2176423,-5949.28882491,-15104.4172957,"Person")
per.Angle=5.25                 
per.Level=21
EnemyTypes.EnemyDefaultFuncs(per)
per.Life=10000
per.SetOnFloor()
per.Deaf = 1
Actions.TakeObject(per.Name,"double5")
Actions.TakeObject(per.Name,"small5")
Actions.TakeObject(per.Name,"thou5")



#########
o=Bladex.CreateEntity("double6","Espada",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)
o=Bladex.CreateEntity("small6","Escudo6",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)

fu=Bladex.CreateEntity("thou6","Pocima200",0,0,0,"Physic")
fu.Scale=1.220190
pocimac.CreatePotion("thou6")

per=Bladex.CreateEntity("dkngt6","Knight_Traitor", 45923.5674371,-5949.28882456,-19158.9645826,"Person")
per.Angle=3.75                 
per.Level=21

EnemyTypes.EnemyDefaultFuncs(per)
per.Life=7000
per.SetOnFloor()
per.Deaf = 1

Actions.TakeObject(per.Name,"double6")
Actions.TakeObject(per.Name,"small6")
Actions.TakeObject(per.Name,"thou6")

############
o=Bladex.CreateEntity("double7","Espada",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)
o=Bladex.CreateEntity("small7","Escudo6",0,0,0,"Weapon")
ItemTypes.ItemDefaultFuncs (o)

fu=Bladex.CreateEntity("thou7","Pocima200",0,0,0,"Physic")
fu.Scale=1.220190
pocimac.CreatePotion("thou7")

per=Bladex.CreateEntity("dkngt7","Knight_Traitor", 29394.3665222,-5948.72409787,-29328.1014627,"Person")
per.Angle=3.75                 
per.Level=21
EnemyTypes.EnemyDefaultFuncs(per)
per.Life=9000
per.SetOnFloor()
per.Deaf = 1
Actions.TakeObject(per.Name,"double7")
Actions.TakeObject(per.Name,"small7")
Actions.TakeObject(per.Name,"thou7")




############