import Bladex
import Sparks
import Reference
import ItemTypes
import Breakings
import Torchs


########## inside castle ############


#----------------------------AGUA EN LA ENTRADA FALSA DEL PASILLO---------------------------------#

foso1=Bladex.CreateEntity("foso1","Entity Water",-120343.447499,-0,37940.483413)
foso1.Reflection=0.3
foso1.Color=0,7,8



#------------------------------------AGUA EN LA CRUZ----------------------------------------------#

foso2=Bladex.CreateEntity("foso2","Entity Water",-2718.11156197,-0,-2794.39153934)
foso2.Reflection=0.3
foso2.Color=0,7,8



###########
####

o=Bladex.CreateEntity("Door101","Plataforma",-155424.487614,-2554.090217584,-16486.2041301, Reference.ObjType("Plataforma"))
o.Scale=5.0                                # 
o.Orientation=(7.997106769085,-0.107106769085,7.99,0.0)

#####
o=Bladex.CreateEntity("Char2","Skull",-161424.487614,-1254.090217584,-21206.2041301, Reference.ObjType("Skull"))
o.Scale=1.0                                #
o.Orientation=(0.0, 0.0, -0.707, 0.707)
ItemTypes.ItemDefaultFuncs (o)
#####
o=Bladex.CreateEntity("Ob101","Columna",-156724.487614,-254.090217584,-14686.2041301, Reference.ObjType("Columna"))
o.Scale=1.0                                #
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)


#####
o=Bladex.CreateEntity("Ob102","Mesa",-161424.487614,-554.090217584,-20286.2041301, Reference.ObjType("Mesa"))
o.Scale=1.3                                # 
o.Orientation=(0.007106769085,0.007106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)
#####
o=Bladex.CreateEntity("Ob103","Taburete",-162624.487614,-254.090217584,-20286.2041301, Reference.ObjType("Taburete"))
o.Scale=1.3                                # 
o.Orientation=(0.007106769085,0.007106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Ob104","Taburete",-159624.487614,-254.090217584,-20286.2041301, Reference.ObjType("Taburete"))
o.Scale=1.3                                #
o.Orientation=(0.007106769085,0.007106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)
######
o=Bladex.CreateEntity("Ob105","Candelabro",-158624.487614,-1154.090217584,-20286.2041301, Reference.ObjType("Candelabro"))
o.Scale=1.0                                #
o.Orientation=(0.007106769085,0.007106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)


o=Bladex.CreateEntity("Ob106","Candelabro",-163924.487614,-1154.090217584,-20286.2041301, Reference.ObjType("Candelabro"))
o.Scale=1.0                                # 
o.Orientation=(0.007106769085,0.007106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)
o.FiresIntensity=[ 0.0 ]
o.Lights = [(0.0, 0.03125, (255, 196, 128))]


####
o=Bladex.CreateEntity("Ob110","Jarra",-161524.487614,-1254.090217584,-19900.2041301, Reference.ObjType("Jarra"))
o.Scale=1.0                                # 
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)
####
o=Bladex.CreateEntity("Ob111","Jarrita",-161524.487614,-1454.090217584,-19500.2041301, Reference.ObjType("Jarrita"))
o.Scale=1.0                                # 
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)
#####
o=Bladex.CreateEntity("Ob112","Blason6",-161424.487614,-2454.090217584,-11686.2041301, Reference.ObjType("Blason6"))
o.Scale=1.0                                # 
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)
#####
o=Bladex.CreateEntity("Char1","Skull",-161424.487614,-50000.090217584,-21206.2041301, Reference.ObjType("Skull"))
o.Scale=1.0                         #
o.Orientation=(0.0, 0.0, -0.707, 0.707 )
ItemTypes.ItemDefaultFuncs (o)
######
Sfire=Bladex.CreateEntity("Doorfire","BolitadeFuego",-161424.487614,-50000.090217584,-21286.2041301,Reference.ObjType("BolitadeFuego"))
Sfire.FiresIntensity=[ 0.5 ]                       #
Sfire.Lights=[ (25,0.03125,(70,0,0)) ] #
lo=AuxFuncs.GetSpot(Sfire) 
lo.CastShadows=0
######
o=Bladex.CreateEntity("Ob113","Reja",-90055.273819,-1981.203606874,-12076.98793168, Reference.ObjType("Reja"))
o.Scale=3.0                        
o.Orientation=(0.5, 0.5, -0.5, 0.5)
ItemTypes.ItemDefaultFuncs (o)
######
o=Bladex.CreateEntity("Ob114","Plataforma",-93055.273819,-2581.203606874,-10076.98793168, Reference.ObjType("Plataforma"))
o.Scale=5.0                        
o.Orientation=(7.997106769085,-0.107106769085,10.99,0.0)
ItemTypes.ItemDefaultFuncs (o)
######
o=Bladex.CreateEntity("Ob115","Reja",-117742.371914,-6954.2648597,-19241.9557084, Reference.ObjType("Reja"))
o.Scale=3.6                                      #              
o.Orientation=(0.707, 0.707, 0.0, 0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Ob116","Rastrillo",-129035.519155,-7414.57891611,-44282.527488, Reference.ObjType("Rastrillo"))
o.Scale=1.0                                             #      
o.Orientation=(0.701057374477,0.701057374477,-0.092295996844,0.0922959968448)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Ob117","Reja",-110737.612345,-6797.66311662,-66316.6622461, Reference.ObjType("Reja"))
o.Scale=3.0                                       #          
o.Orientation=(0.701057374477,0.701057374477,-0.0922959595919,0.0922959595919)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Lampared_67","Lampared",-115580.298045,-7010.27501395,-17360.5339397, Reference.ObjType("Lampared"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.435073047876,0.435073018074,0.557415008545,-0.55741494894 )
o.FiresIntensity=[ 0.0 ]
o.Lights = [(10.0, 0.03125, (255, 196, 128))]

o=Bladex.CreateEntity("Lampared_68","Lampared",-119403.56349,-6946.17327816,-16945.1588326, Reference.ObjType("Lampared"))
o.Static=1
o.Scale=1.0
o.Orientation=(0.560985505581,0.555925071239,-0.43045938015,0.436975210905 )
o.FiresIntensity=[ 0.0 ]
o.Lights = [(10.0, 0.03125, (255, 196, 128))]

o=Bladex.CreateEntity("Hoguera_70","Hoguera",-127579.05776,-5178.15680233,-60303.4788259, Reference.ObjType("Hoguera"))
o.Scale=1.0
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
o.FiresIntensity=[ 3.0 ]
o.Lights = [(25.0, 0.03125, (255, 196, 128))]

o=Bladex.CreateEntity("Columna_2","Columna",-125681.73758,-5351.27081476,-62509.6067891, Reference.ObjType("Columna"))
o.Scale=1.0                                
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

Sfire=Bladex.CreateEntity("fire_2","BolitadeFuego",-125681.73758,-5951.27081476,-62509.6067891,Reference.ObjType("BolitadeFuego"))
Sfire.FiresIntensity=[ 0.5 ]                       
Sfire.Lights=[ (25,0.03125,(0,0,15)) ] #
lo=AuxFuncs.GetSpot(Sfire) 
lo.CastShadows=0
#################

###


##
o=Bladex.CreateEntity("Pol5_10","Roca1",58672.7770023,-20920.2001452,-179787.894925, Reference.ObjType("Roca1"))
o.Scale=3.0                                           #
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_100","Roca1",57159.6131783,-22068.7784717,-174745.389897, Reference.ObjType("Roca1"))
o.Scale=3.0                                           #
o.Orientation=(0.608761429787,-0.793353319168,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_101","Roca1",54759.182097,-21878.7963203,-168922.523258, Reference.ObjType("Roca1"))
o.Scale=3.0                                
o.Orientation=(0.608761429787,-0.793353319168,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_102","Roca1",53995.6327191,-22061.0321267,-163349.237352, Reference.ObjType("Roca1"))
o.Scale=3.0                                
o.Orientation=(0.608761429787,-0.793353319168,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_103","Roca1",53637.108311,-21916.8269184,-157228.968228, Reference.ObjType("Roca1"))
o.Scale=3.0                                
o.Orientation=(0.608761429787,-0.793353319168,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_104","Roca1",52630.4439636,-21340.0471362,-149711.184021, Reference.ObjType("Roca1"))
o.Scale=3.0                                            #
o.Orientation=(0.965925812721,-0.258819043636,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_111","Roca1",57498.7940425,-22988.428537,-148483.862784, Reference.ObjType("Roca1"))
o.Scale=3.0                                            #          
o.Orientation=(0.965925812721,-0.258819043636,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_112","Roca1",57498.7940425,-22988.428537,-148483.862784, Reference.ObjType("Roca1"))
o.Scale=3.0                                            #
o.Orientation=(0.965925812721,-0.258819043636,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_142","Roca1",58935.4462701,-23021.1647448,-109902.393512, Reference.ObjType("Roca1"))
o.Scale=1.6                                
o.Orientation=(0.0,1.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_141","Roca1",57850.8159743,-23002.8622425,-115560.75018, Reference.ObjType("Roca1"))
o.Scale=1.6                                
o.Orientation=(0.0,1.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_140","Roca1",60055.9694957,-25411.3750668,-112224.074243, Reference.ObjType("Roca1"))
o.Scale=1.6                                
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_139","Roca1",63990.1857518,-23003.7976716,-112984.519691, Reference.ObjType("Roca1"))
o.Scale=2.6                                
o.Orientation=(0.608761429787,-0.793353319168,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_138","Roca1",61738.4979096,-22594.1796951,-110072.496212, Reference.ObjType("Roca1"))
o.Scale=1.8                                
o.Orientation=(0.130526199937,0.991444885731,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_137","Roca1",60910.3878711,-23198.9990489,-115869.942284, Reference.ObjType("Roca1"))
o.Scale=2.0                               
o.Orientation=(0.0,1.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

Sfire=Bladex.CreateEntity("fire_3","BolitadeFuego",56136.0010216,-491.0128019,-114812.515153,Reference.ObjType("BolitadeFuego"))
Sfire.FiresIntensity=[ 0.5 ]                       
Sfire.Lights=[ (25,0.03125,(45,0,0)) ] #
lo=AuxFuncs.GetSpot(Sfire) 
lo.CastShadows=0

Sfire=Bladex.CreateEntity("fire_4","BolitadeFuego",57278.0910343,-453.6302385,-109358.902385,Reference.ObjType("BolitadeFuego"))
Sfire.FiresIntensity=[ 0.5 ]                       
Sfire.Lights=[ (25,0.03125,(45,0,0)) ] #
lo=AuxFuncs.GetSpot(Sfire) 
lo.CastShadows=0

#####

o=Bladex.CreateEntity("Pol5_113","Roca1",74498.7940425,-14188.428537,-167483.862784, Reference.ObjType("Roca1"))
o.Scale=3.0                                
o.Orientation=(0.588018417358,0.766320466995,0.15755905211,-0.205334946513)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_114","Roca1",68464.0395923,-8460.8253773,-166417.201282, Reference.ObjType("Roca1"))
o.Scale=1.8                                
o.Orientation=(0.793353319168,0.608761429787,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol5_115","Roca1",70898.7940425,-9788.428537,-168483.862784, Reference.ObjType("Roca1"))
o.Scale=3.0                                
o.Orientation=(0.793353319168,0.608761429787,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)


##
o=Bladex.CreateEntity("Pol4_91","Bloque",-76246.9236194,-17054.25813,-162582.001303, Reference.ObjType("Bloque"))
o.Scale=13.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_92","Bloque",-85811.0883979,-16990.2276181,-162510.020974, Reference.ObjType("Bloque"))
o.Scale=13.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_100","Bloque",-76088.299462,-16949.4353402,-168964.416054, Reference.ObjType("Bloque"))
o.Scale=13.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_101","Bloque",-76088.299462,-16949.4353402,-175364.416054, Reference.ObjType("Bloque"))
o.Scale=13.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_102","Bloque",-85688.299462,-16949.4353402,-175364.416054, Reference.ObjType("Bloque"))
o.Scale=13.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_103","Bloque",-85688.299462,-16949.4353402,-168964.416054, Reference.ObjType("Bloque"))
o.Scale=13.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_104","Cebolla",-85488.299462,-20549.4353402,-170964.416054, Reference.ObjType("Cebolla"))
o.Scale=1.0                                
o.Orientation=(0.5, 0.5, -0.5, 0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_105","Cabezon",-77888.299462,-21349.4353402,-175964.416054, Reference.ObjType("Cabezon"))
o.Scale=1.0                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_106","Cabezon",-78088.299462,-21549.4353402,-164564.416054, Reference.ObjType("Cabezon"))
o.Scale=1.0                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_107","Corona",-85488.299462,-20949.4353402,-170964.416054, Reference.ObjType("Corona"))
o.Scale=1.0                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_110","Arbolseco2",-99088.299462,-14949.4353402,-148164.416054, Reference.ObjType("Arbolseco2"))
o.Scale=1.0                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_111","Columnaestrecha",-87288.299462,-21749.4353402,-163764.416054, Reference.ObjType("Columnaestrecha"))
o.Scale=2.2                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_112","Columnaestrecha",-87575.7672494,-21898.128582,-175235.017366, Reference.ObjType("Columnaestrecha"))
o.Scale=2.2                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_113","BoladePiedra",-87611.5057502,-25985.9377099,-163973.180904, Reference.ObjType("BoladePiedra"))
o.Scale=1.6                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("BoladePiedra_94","BoladePiedra",-87816.9321967,-26143.5042517,-175097.809958, Reference.ObjType("BoladePiedra"))
o.Scale=1.6                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Pol4_114","Gema",-88175.7672494,-21698.128582,-175235.017366, Reference.ObjType("Gema"))
o.Scale=1.2                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Gema_95","Gema",-87754.4815226,-21895.2925881,-163659.04761, Reference.ObjType("Gema"))
o.Scale=1.2                                
o.Orientation=(0.5, 0.5, 0.5, -0.5)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Ob700","Reja",-71288.299462,-22549.4353402,-171764.416054, Reference.ObjType("Reja"))
o.Scale=3.4                        
o.Orientation=(0.5, 0.5, -0.5, 0.5)
ItemTypes.ItemDefaultFuncs (o)

##

o=Bladex.CreateEntity("Pol3_100","Tronco",-108513.567851,-7087.66520785,-107376.161172, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_72","Tronco",-109455.285233,-6991.98698188,-107998.152799, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_73","Tronco",-110303.752839,-7002.59946039,-108713.46928, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_74","Tronco",-111150.191115,-6998.29623222,-109572.595185, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_75","Tronco",-112141.250802,-6996.99721113,-110107.38059, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_76","Tronco",-113086.231999,-6997.9872993,-110633.612977, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_77","Tronco",-118086.839562,-7187.48781011,-114082.103709, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("Tronco_78","Tronco",-117140.316927,-7009.66104202,-113589.618919, Reference.ObjType("Tronco"))
o.Scale=5.0                                
o.Orientation=(1.0,0.0,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("OB200","Arbolseco2",-122673.082929,-7276.91422924,-101203.091317, Reference.ObjType("Arbolseco2"))
o.Scale=1.0                                
o.Orientation=(0.707, 0.707, 0.0, 0.0 )
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("OB201","Antorchaenpared",-120279.941368,-7548.79623858,-112263.939137, Reference.ObjType("Antorchaenpared"))
o.Scale=1.0                                
o.Orientation=(0.707, 0.707, 0.0, 0.0)
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("OB203","Totem",-111673.082929,-8476.91422924,-96803.091317, Reference.ObjType("Totem"))
o.Scale=1.0                                
o.Orientation=(0.707, 0.707, 0.0, 0.0 )
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("OB204","Gargola02",-112473.082929,-10276.9142292,-109803.091317, Reference.ObjType("Gargola02"))
o.Scale=1.8                                
o.Orientation=(0.265, 0.265, 0.655, -0.655 )
ItemTypes.ItemDefaultFuncs (o)

o=Bladex.CreateEntity("OB205","Plataforma",-115473.082929,-7076.91422924,-112003.091317, Reference.ObjType("Plataforma"))
o.Scale=4.4                                 
o.Orientation=(7.997106769085,-0.107106769085,-2.5,0.0)

o=Bladex.CreateEntity("OB206","Skeleton_Optimiced",-118426.194322,-6009.67783995,-113353.324962)
o.Static=1
o.Scale=1.0
o.Orientation=(0.265, 0.265, 0.655, -0.655 )

o=Bladex.CreateEntity("OB2070","Skeleton_Optimiced",-122873.082929,-6076.91422924,-101803.091317)
o.Static=1
o.Scale=1.0
o.Orientation=(0.5, 0.5, -0.5, 0.5 )

o=Bladex.CreateEntity("OB2071","Axpear",-122873.082929,-6476.91422924,-102003.091317, "Weapon")
o.Scale=1.0
o.Orientation=(0.5, 0.5, -0.5, 0.5)
ItemTypes.ItemDefaultFuncs (o)


o=Bladex.CreateEntity("OB207","Skeleton_Optimiced",-112942.242644,-6014.81526103,-109722.233049)
o.Static=1
o.Scale=1.0
o.Orientation=(0.265, 0.265, 0.655, -0.655 )

o=Bladex.CreateEntity("OB208","ArmaduraCaballeroCompleta",-111673.082929,-6076.91422924,-97603.091317, Reference.ObjType("ArmaduraCaballeroCompleta"))
o.Scale=1.0                                            
o.Orientation=(0.707106769085,0.707106769085,0.0,0.0)
ItemTypes.ItemDefaultFuncs (o)


o=Bladex.CreateEntity("OB210","Skeleton_Optimiced",-115825.884247,-6004.00590464,-111649.0426)
o.Static=1
o.Scale=1.0
o.Orientation=(0.265, 0.265, 0.655, -0.655 )

o=Bladex.CreateEntity("OB211","DoubleSword",-115568.811076,-5838.08415963,-111240.764298)
o.Scale=1.0
o.Static=1
o.Orientation=(0.683012664318, -0.183012589812, 0.18301269412, 0.683012783527)


o=Bladex.CreateEntity("OB212","DoubleSword",-118274.340372,-5787.20098132,-113128.62865)
o.Scale=1.0
o.Static=1
o.Orientation=(0.683012664318, -0.183012589812, 0.18301269412, 0.683012783527)


o=Bladex.CreateEntity("OB213","DoubleSword",-112733.205102,-5811.84336284,-109289.217195)
o.Scale=1.0
o.Static=1
o.Orientation=(0.683012664318, -0.183012649417, 0.183012768626, 0.683012723923)


o=Bladex.CreateEntity("OB214","Escudo7",-115978.729466,-6196.64604343,-111607.403614)
o.Scale=1.0
o.Static=1
o.Orientation=(0.265, 0.265, 0.655, -0.655)

o=Bladex.CreateEntity("OB215","Escudo7",-113064.916538,-6181.58812104,-109685.702352)
o.Scale=1.0
o.Static=1
o.Orientation=(0.265, 0.265, 0.655, -0.655)

o=Bladex.CreateEntity("OB216","Escudo7",-118557.790809,-6170.5837234,-113239.400589)
o.Scale=1.0
o.Static=1
o.Orientation=(0.265, 0.265, 0.655, -0.655 )
