import Bladex
import Doors
import Levers
import Locks
import Objects
import Sounds
import Button
import ReadGSFile
import AuxFuncs
import darfuncs
import Stars
import Reference
import EnemyTypes
import Sparks
import Actions
import ItemTypes
import GenFX
import EnmGenRnd
import OnOff
import LevelFuncs
import Auras
import Breakings
import Basic_Funcs
import Damage
import whrandom
import Scorer
import stone
import heavyObjects



############ door sounds ###########################
#########################################
####PUERTA DEL TEMPLO NMIUR#############
#########################################

spuertar1a=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-pie-cerr-no-loop-rebote.wav", "loop-rebote")
spuertar1a.MaxDistance=20000
spuertar1a.MinDistance=1000
spuertar1a.Volume=1.0

spuertar1b=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-pie-desliz-no-loop.wav", "no-loop")
spuertar1b.MaxDistance=20000
spuertar1b.MinDistance=2000
spuertar1b.Volume=1.0



#def Abredoor1():
#   pnamiur.OpenDoor()
 
#def Cierradoor1():
#   pnamiur.CloseDoor()




pnamiur=Doors.CreateDoor("puertanmiur",(-55763.9032221,4723.62688962,-303.994870441),(0,1,0),0,4000,Doors.CLOSED)

pnamiur.opentype=Doors.UNIF
pnamiur.o_med_vel=-700
pnamiur.o_med_displ=4000

pnamiur.closetype=Doors.AC
pnamiur.c_init_displ=3000
pnamiur.c_med_vel=8000
pnamiur.SetWhileOpenSound(spuertar1a)
pnamiur.SetEndOpenSound(spuertar1b)



pnamiur.SetWhileCloseSound(spuertar1b)
pnamiur.SetEndCloseSound(spuertar1a)



cerradurpn=Locks.PlaceLock("cerradurpn","Cerradurpla",(-56658.1550528,4721.59760933,1347.77975541),(0.0,0.008726,0.713249,-0.700857),2.5)
cerradurpn.key="llavepn"

darfuncs.SetHint(cerradurpn.obj,"Cerradura de Nmiur")


cerradurpn.OnUnLockFunc=Abredoor1
cerradurpn.OnUnLockArgs=()

cerradurpn.OnLockFunc=Cierradoor1
cerradurpn.OnLockArgs=()


####LA LLAVE LA TIENE EL CABRONAZO DEL TRIDOR Q ESTA ECHANDOSE UNA SIESTECILLA EN LA MONTAA..xD!##########





#############################
#####PUERTA D LA CASETA######
#############################

spuertar1d=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-deslizando.wav", "MaderaDesliz")
spuertar1d.MaxDistance=20000
spuertar1d.MinDistance=1000
spuertar1d.Volume=1.0

spuertar1g=Sounds.CreateEntitySound("..\\..\\Sounds\\puerta-madera-golpe.wav", "MaderaGolpe")
spuertar1g.MaxDistance=20000
spuertar1g.MinDistance=2000
spuertar1g.Volume=1.0


#def Abredoor1():
#   pcaseta.OpenDoor()

#def Cierradoor1():
#   pcaseta.CloseDoor()




pcaseta=Doors.CreateDoor("pcaseta",(41440.7049031,-6275.80626123,-33343.2473536),(0,1,0),0,5000,Doors.CLOSED)

pcaseta.opentype=Doors.UNIF
pcaseta.o_med_vel=-700
pcaseta.o_med_displ=5000

pcaseta.closetype=Doors.AC
pcaseta.c_init_displ=3000
pcaseta.c_med_vel=8000
pcaseta.SetWhileOpenSound(spuertar1d)
pcaseta.SetEndOpenSound(spuertar1g)

pcaseta.SetWhileCloseSound(spuertar1d)
pcaseta.SetEndCloseSound(spuertar1g)


###--------------------------------Door-------------------------------####
#####################################################

#####################################################
o=Locks.PlaceLock("schloss1","Cerraduracutre",(-93500.273819,-1581.203606874,-8000.98793168),(0.265, 0.265, 0.655, -0.655 ),1.5)
o.key="hall_key"
darfuncs.SetHint(o.obj,"hall lock")
o.OnUnLockFunc=N1_weg

o=Locks.PlaceLock("schloss2","Cerradura",(-90564.4394389,-1981.23643248,-10598.8460119),(0.655491828918,0.655491769314,0.265198975801,-0.265198975801),1.5)
o.key="Plat_key"
darfuncs.SetHint(o.obj,"Plat lock")
o.OnUnLockFunc=N2_weg

o=Locks.PlaceLock("schloss3","Cerradurcob",(-111481.73758,-6551.27081476,-62709.6067891),(0.265, 0.265, 0.655, -0.655),1.5)
o.key="Golem_key"
darfuncs.SetHint(o.obj,"Golem lock")
o.OnUnLockFunc=N3_weg

o=Locks.PlaceLock("schloss3","Cerradura",(-113473.082929,-6476.91422924,-110203.091317),(0.265, 0.265, 0.655, -0.655),1.5)
o.key="Ragnar_key"
darfuncs.SetHint(o.obj,"Ragnar lock")
o.OnUnLockFunc=N4_weg

#o=Locks.PlaceLock("sch4","Cerradura",(-71488.299462,-22149.4353402,-174364.416054),(0.5, 0.5, 0.5, -0.5),1.5)
#o.key="Chaos_key"
#darfuncs.SetHint(o.obj,"Chaos lock")
#o.OnUnLockFunc=N6_weg

o=Locks.PlaceLock("schloss7","Cerradura",(-71522.1622374,-22186.1306905,-174047.915776),(0.5, 0.5, 0.5, -0.5),1.5)
o.key="Haos_key"
darfuncs.SetHint(o.obj,"Haos lock")
o.OnUnLockFunc=N6_weg


